> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/campaigns/get-content/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get campaign content GET https://api.mailchimp.com/3.0/campaigns/{campaign_id}/content Get the the HTML and plain-text content for a campaign. Reference: https://mailchimp.com/developer/marketing/api/campaigns/get-content ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `campaign_id` (string, required) — The unique id for the campaign. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 - `_links` (list of CampaignContentLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `archive_html` (string, optional) — The Archive HTML for the campaign. - `html` (string, optional) — The raw HTML for the campaign. - `plain_text` (string, optional) — The plain-text portion of the campaign. If left unspecified, we'll generate this automatically. - `variate_contents` (list of CampaignContentVariateContentsItems, optional) — Content options for multivariate campaigns. ## Types ### CampaignContentLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### CampaignContentVariateContentsItems - `content_label` (string, optional) — Label used to identify the content option. - `html` (string, optional) — The raw HTML for the campaign. - `plain_text` (string, optional) — The plain-text portion of the campaign. If left unspecified, we'll generate this automatically. ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "archive_html": "